System.ServiceModel 4.0.0.0 System.Object To be added.

Contains the security settings associated with a peer channel, including the type of authentication used and the security used for the message transport.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.SecurityMode To be added. To be added.

  Gets and sets the value that indicates the security mode of the peer channel.

- Property
  4.0.0.0
  System.ServiceModel.PeerTransportSecuritySettings To be added.

  This property is set only if is set to or .

  Gets the value that indicates the security settings for the transport used for messages transmitted over the peer channel.